# pandas.Panel.join

`Panel.``join`(other, how='left', lsuffix='', rsuffix='')

  Join items with other Panel either on major and minor axes column

  Parameters:

  other : Panel or list of Panels

  > Index should be similar to one of the columns in this one

  how : {‘left’, ‘right’, ‘outer’, ‘inner’}

  > How to handle indexes of the two objects. Default: ‘left’ for joining on index, None otherwise * left: use calling frame’s index * right: use input frame’s index * outer: form union of indexes * inner: use intersection of indexes

  lsuffix : string

  > Suffix to use from left frame’s overlapping columns

  rsuffix : string

  > Suffix to use from right frame’s overlapping columns

  Returns: | joined : Panel

Scroll To Top